org.apache.solr.client.solrj.cloud.autoscaling

## Enum Suggestion.ConditionType

- java.lang.Object
- - java.lang.Enum<Suggestion.ConditionType>
  - - org.apache.solr.client.solrj.cloud.autoscaling.Suggestion.ConditionType

All Implemented Interfaces:
  Serializable, Comparable<Suggestion.ConditionType>

Enclosing class:
  Suggestion

    public static enum Suggestion.ConditionType
    extends Enum<Suggestion.ConditionType>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`COLL`
`CORE_IDX`
`CORES`
`FREEDISK`
`HEAPUSAGE`
`IP_1`
`IP_2`
`IP_3`
`IP_4`
`LAZY`
`NODE`
`NODE_ROLE`
`NUMBER`
`PORT`
`REPLICA`
`SHARD`
`STRING`
`SYSLOADAVG`

### Field Summary

Fields
`String` `perReplicaValue`
`String` `tagName`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `addViolatingReplicas(org.apache.solr.client.solrj.cloud.autoscaling.Suggestion.ViolationCtx ctx)`
`Object` `convertVal(Object val)`
`void` `getSuggestions(org.apache.solr.client.solrj.cloud.autoscaling.Suggestion.SuggestionCtx ctx)`
`Object` `validate(String name, Object val, boolean isRuleVal)`
`static Suggestion.ConditionType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Suggestion.ConditionType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### COLL

    public static final Suggestion.ConditionType COLL

#### SHARD

    public static final Suggestion.ConditionType SHARD

#### REPLICA

    public static final Suggestion.ConditionType REPLICA

#### PORT

    public static final Suggestion.ConditionType PORT

#### IP_1

    public static final Suggestion.ConditionType IP_1

#### IP_2

    public static final Suggestion.ConditionType IP_2

#### IP_3

    public static final Suggestion.ConditionType IP_3

#### IP_4

    public static final Suggestion.ConditionType IP_4

#### FREEDISK

    public static final Suggestion.ConditionType FREEDISK

#### CORE_IDX

    public static final Suggestion.ConditionType CORE_IDX

#### NODE_ROLE

    public static final Suggestion.ConditionType NODE_ROLE

#### CORES

    public static final Suggestion.ConditionType CORES

#### SYSLOADAVG

    public static final Suggestion.ConditionType SYSLOADAVG

#### HEAPUSAGE

    public static final Suggestion.ConditionType HEAPUSAGE

#### NUMBER

    public static final Suggestion.ConditionType NUMBER

#### STRING

    public static final Suggestion.ConditionType STRING

#### NODE

    public static final Suggestion.ConditionType NODE

#### LAZY

    public static final Suggestion.ConditionType LAZY

### Field Detail

#### tagName

    public final String tagName

#### perReplicaValue

    public final String perReplicaValue

### Method Detail

#### values

    public static Suggestion.ConditionType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Suggestion.ConditionType c : Suggestion.ConditionType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Suggestion.ConditionType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getSuggestions

    public void getSuggestions(org.apache.solr.client.solrj.cloud.autoscaling.Suggestion.SuggestionCtx ctx)

#### addViolatingReplicas

    public void addViolatingReplicas(org.apache.solr.client.solrj.cloud.autoscaling.Suggestion.ViolationCtx ctx)

#### convertVal

    public Object convertVal(Object val)

#### validate

    public Object validate(String name,
                           Object val,
                           boolean isRuleVal)